import { Dictionary } from "./types";
export declare function readLines(at: string): Promise<string[]>;
export declare function writeLines(at: string, lines: string[]): Promise<void>;
export declare function readPackageJson(at?: string): Promise<NpmPackage>;
export declare function writePackageJson(pkg: NpmPackage): Promise<void>;
export interface NpmPackage {
    name: string;
    version: string;
    files: string[];
    bin: Dictionary<string>;
    description: string;
    main: string;
    scripts: Dictionary<string>;
    repository: Dictionary<string>;
    keywords: string[];
    author: Dictionary<string> | string;
    license: string;
    devDependencies: Dictionary<string>;
    dependencies: Dictionary<string>;
}
