"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writePackageJson = exports.readPackageJson = exports.writeLines = exports.readLines = void 0;
const path_1 = __importDefault(require("path"));
const yafs_1 = require("yafs");
async function readLines(at) {
    const contents = await (0, yafs_1.readTextFile)(at);
    return (contents || "").split("\n").map(l => l.replace(/\r$/, ""));
}
exports.readLines = readLines;
async function writeLines(at, lines) {
    const contents = lines.join("\n");
    await (0, yafs_1.writeTextFile)(at, contents);
}
exports.writeLines = writeLines;
async function readPackageJson(at) {
    const fname = "package.json", pkgPath = !!at
        ? (await (0, yafs_1.fileExists)(at) ? at : path_1.default.join(at, fname))
        : fname;
    return JSON.parse(await (0, yafs_1.readTextFile)(pkgPath));
}
exports.readPackageJson = readPackageJson;
async function writePackageJson(pkg) {
    await (0, yafs_1.writeTextFile)("package.json", JSON.stringify(pkg, null, 2));
}
exports.writePackageJson = writePackageJson;
