"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runNpm = exports.checkNpm = void 0;
const spawn_1 = require("./spawn");
const utils_1 = require("./utils");
let npmPath;
async function checkNpm() {
    const npm = await (0, utils_1.which)("npm");
    if (!npm) {
        throw new Error("no npm in path?");
    }
    npmPath = npm;
}
exports.checkNpm = checkNpm;
async function runNpm(...args) {
    if (!npmPath) {
        await checkNpm();
    }
    try {
        await (0, spawn_1.spawn)(npmPath, args);
    }
    catch (e) {
        const err = e;
        if (err.result) {
            const allOutput = (err.result.stderr || []).concat(err.result.stdout || []);
            if (allOutput.find(l => l.startsWith("gyp ERR!"))) {
                // suppress: gyp failed, and it normally doesn't matter
                return;
            }
        }
        throw e;
    }
}
exports.runNpm = runNpm;
