"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.which = exports.runInFolder = exports.sleep = void 0;
const which_1 = __importDefault(require("which"));
const path_1 = __importDefault(require("path"));
async function sleep(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}
exports.sleep = sleep;
async function runInFolder(where, action) {
    const start = process.cwd(), resolvedWhere = path_1.default.resolve(where), shouldSwitch = resolvedWhere !== start;
    try {
        if (shouldSwitch) {
            process.chdir(where);
        }
        return await action();
    }
    finally {
        if (shouldSwitch) {
            process.chdir(start);
        }
    }
}
exports.runInFolder = runInFolder;
function which(program) {
    return new Promise(resolve => {
        (0, which_1.default)(program, (err, data) => resolve(err ? undefined : data));
    });
}
exports.which = which;
