"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runValidators = void 0;
async function runValidators(value, ...validators) {
    for (const validator of validators) {
        try {
            const thisResult = await validator(value);
            if (thisResult !== true) {
                return thisResult;
            }
        }
        catch (err) {
            const e = err;
            return e.message;
        }
    }
    return true;
}
exports.runValidators = runValidators;
