"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidPackageName = void 0;
const validate_npm_package_name_1 = __importDefault(require("validate-npm-package-name"));
async function isValidPackageName(name) {
    const nameTest = (0, validate_npm_package_name_1.default)(name);
    if (!nameTest.validForNewPackages) {
        const warnings = [
            `${name} is not a valid package name`
        ];
        (nameTest.warnings || []).forEach(warning => {
            warnings.push(warning);
        });
        return warnings.join("\n");
    }
    return true;
}
exports.isValidPackageName = isValidPackageName;
