"use strict";
// noinspection ExceptionCaughtLocallyJS
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nameIsAvailableAtNpmJs = void 0;
const bent_1 = __importDefault(require("bent"));
const get = (0, bent_1.default)("buffer");
async function nameIsAvailableAtNpmJs(name) {
    try {
        await checkIfNameExists(name);
        return true;
    }
    catch (err) {
        const e = err;
        if ((e.message || "").indexOf("already registered") > -1) {
            return e.message;
        }
        throw e;
    }
}
exports.nameIsAvailableAtNpmJs = nameIsAvailableAtNpmJs;
async function checkIfNameExists(name) {
    const url = `https://www.npmjs.com/package/${name}`;
    try {
        await get(url);
        throw new Error(`package '${name}' is already registered at npmjs.com`);
    }
    catch (e) {
        const err = e;
        if (err.statusCode === 404) {
            return;
        }
        throw e;
    }
}
