"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readLicense = exports.listLicenses = void 0;
const fs_1 = require("fs");
const { readdir } = fs_1.promises;
const path_1 = __importDefault(require("path"));
const yafs_1 = require("yafs");
const licenseDir = path_1.default.resolve(path_1.default.join(__dirname, "..", "..", "licenses"));
async function listLicenses() {
    if (!(await (0, yafs_1.folderExists)(licenseDir))) {
        throw new Error(`can't find licenses at: ${licenseDir}`);
    }
    return readdir(licenseDir);
}
exports.listLicenses = listLicenses;
async function readLicense(id) {
    const allLicenses = await listLicenses(), lowerId = (id || "").toLowerCase(), match = allLicenses.find(l => l.toLowerCase() === lowerId);
    if (!match) {
        throw new Error(`unknown license: ${id}`);
    }
    return await (0, yafs_1.readTextFile)(path_1.default.join(licenseDir, match));
}
exports.readLicense = readLicense;
