"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryGitConfig = void 0;
const spawn_1 = require("../spawn");
async function queryGitConfig(key) {
    try {
        const result = await (0, spawn_1.spawn)("git", ["config", "--get", key]), allLines = result.stdout.concat(result.stderr)
            .map(l => (l || "").trim())
            .filter(l => !!l);
        // git outputs config info on stderr, which _surely_ is a mistake?
        // -> just in case, let's take _all_ output and select the first non-empty line
        return (allLines[0] || "").trim();
    }
    catch (e) {
        return "";
    }
}
exports.queryGitConfig = queryGitConfig;
